package cn.com.ctop.bytedance.service;

import cn.com.ctop.bytedance.vo.ByteDanceAdvertiserReportDTO;
import cn.com.ctop.common.module.entity.CtopOauthToken;
import com.alibaba.fastjson.JSONObject;

import java.util.Date;
import java.util.Map;

public interface IReportService {
    Map<String, Object> getAdvertiserReport(ByteDanceAdvertiserReportDTO conditions);

    Map<String, Object> getCampaignReport(ByteDanceAdvertiserReportDTO conditions);

    Map<String, Object> getAdReport(ByteDanceAdvertiserReportDTO conditions);

    Map<String, Object> getCreativeReport(ByteDanceAdvertiserReportDTO conditions);

    Map<String, Object> getAgentReport(JSONObject conditions);

    void insertCustomerInfo(String csvPath, String charset);

    void insertPlatformInfo(String excelPath, String charset, Long accountId);

    Map<String, Object> debitAuto(JSONObject data);

    void getAdvertiserReport(CtopOauthToken token, Date startDate, Date endDate, String bytedanceReportTypePl);

    void getAdvertiserCampaignReport(CtopOauthToken token, Date startDate, Date endDate, String bytedanceReportTypePL);

    void getAdvertiserPlanReport(CtopOauthToken token, Date startDate, Date endDate, String bytedanceReportTypePL);

    void getAdvertiserCreativeReport(CtopOauthToken token, Date startDate, Date endDate, String bytedanceReportTypePL);
}
